<?php
require('fpdf_ex12_filigrane_rotation_sprog.php');

class PDF extends PDF_Rotate
{
 function Header()
 {
  //Affiche le filigrane
  $this->SetFont('Arial','B',50);
  $this->SetTextColor(255,192,203);
  $this->RotatedText(35,190,'Document de demontration',45);
 }

 function RotatedText($x, $y, $txt, $angle)
 {
  //Rotation du texte autour de son origine
  $this->Rotate($angle,$x,$y);
  $this->Text($x,$y,$txt);
  $this->Rotate(0);
 }
}

$pdf=new PDF();
$pdf->AddPage();
$pdf->SetFont('Arial','',12);
$txt="FPDF est une classe PHP qui permet de générer des fichiers PDF en pur PHP, c'est-à-dire ".
	"sans utiliser la librairie PDFlib. Le F de FPDF signifie Free : vous êtes libre de ".
	"l'utiliser et de la modifier comme vous le souhaitez.\n\n";
for($i=0;$i<25;$i++) 
	$pdf->MultiCell(0,5,$txt,0,'J');
// --- Envoie le document au navigateur (I) ---
// --- en cas de tŽlŽchargement, le nom du fichier ---
// --- est  filigramme.pdf ---
//$pdf->Output();
$pdf->Output('filigramme.pdf','I');
?>
